<!--
  -   Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:c="http://java.sun.com/jstl/core"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml">
    <h:panelGroup rendered="#{auditMessageEditor.selectedAuditMessageSpecification.event != null}">
        <ui:decorate template="/audit-messages/template/elementsTable.xhtml">
            <tr class="rf-dt-r rf-dt-fst-r">
                <th rowspan="8" class="rf-dt-hdr-c">
                    <p>#{messages['net.ihe.gazelle.audit.message.EventIdentification']}</p>
                    <p>
                        <a4j:commandLink oncomplete="jq162('#add_extra_dicom_ev').modal('show')"
                                         render="add_extra_dicom_ev_select" styleClass="gzl-btn btn-sm"
                                         title="#{messages['net.ihe.gazelle.audit.message.AddAnOptionalDicomSpecification']}">
                            <span class="fa fa-plus"></span>
                            <h:outputText value="#{messages['net.ihe.gazelle.audit.message.AddDICOMOption']}"/>
                        </a4j:commandLink>
                    </p>
                </th>
                <td class="rf-dt-c">
                    <h:outputText value="#{messages['net.ihe.gazelle.audit.message.EventID']}"/>
                </td>
                <td class="rf-dt-c">
                    <h:selectOneMenu value="#{auditMessageEditor.selectedAuditMessageSpecification.event.eventID.optionality}"
                                     styleClass="form-control">
                        <s:selectItems value="#{auditMessageEditor.optionalityValues}" var="val"
                                       noSelectionLabel="#{messages['net.ihe.gazelle.audit.message.PleaseSelect']}"
                                       label="#{val}"/>
                    </h:selectOneMenu>
                </td>
                <td class="rf-dt-c">
                    <h:inputText value="#{auditMessageEditor.selectedAuditMessageSpecification.event.eventID.value}"
                                 styleClass="form-control"/>
                </td>
                <td class="rf-dt-c">
                    <h:inputText value="#{auditMessageEditor.selectedAuditMessageSpecification.event.eventID.regex}"
                                 styleClass="form-control"/>
                </td>
            </tr>
            <ui:include src="/audit-messages/template/elementDescriptionInput.xhtml">
                <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.EventActionCode']}"/>
                <ui:param name="elementDescription"
                          value="#{auditMessageEditor.selectedAuditMessageSpecification.event.eventActionCode}"/>
            </ui:include>
            <ui:include src="/audit-messages/template/elementDescriptionInput.xhtml">
                <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.EventDateTime']}"/>
                <ui:param name="elementDescription"
                          value="#{auditMessageEditor.selectedAuditMessageSpecification.event.eventDateTime}"/>
            </ui:include>
            <ui:include src="/audit-messages/template/elementDescriptionInput.xhtml">
                <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.EventOutcomeIndicator']}"/>
                <ui:param name="elementDescription"
                          value="#{auditMessageEditor.selectedAuditMessageSpecification.event.eventOutcomeIndicator}"/>
            </ui:include>
            <ui:include src="/audit-messages/template/elementDescriptionInput.xhtml">
                <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.EventTypeCode']}"/>
                <ui:param name="elementDescription"
                          value="#{auditMessageEditor.selectedAuditMessageSpecification.event.eventTypeCode}"/>
            </ui:include>
            <ui:include src="/audit-messages/template/elementDescriptionInput.xhtml">
                <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.EventOutcomeDescription']}"/>
                <ui:param name="elementDescription"
                          value="#{auditMessageEditor.selectedAuditMessageSpecification.event.eventOutcomeDescription}"/>
            </ui:include>
            <ui:include src="/audit-messages/template/elementDescriptionInput.xhtml">
                <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.PurposeOfUse']}"/>
                <ui:param name="elementDescription"
                          value="#{auditMessageEditor.selectedAuditMessageSpecification.event.purposeOfUse}"/>
            </ui:include>
        </ui:decorate>
    </h:panelGroup>
    <h:panelGroup rendered="#{auditMessageEditor.selectedAuditMessageSpecification.event == null}">
        <p class="gzl-alert gzl-alert-orange">#{messages['net.ihe.gazelle.audit.message.NoEventIdentificationDefined']}</p>
    </h:panelGroup>

</ui:composition>
